<?php

namespace App\Http\Controllers\Admin\Employees;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\DB;

class UpdateEmployeesPhotosController extends Controller
{
    public function updateEmployeesPhotos()
    {
        $this->loadViewData();

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        $membersOfIcc = $graph->createRequest('GET', '/groups/5d530a89-fc3a-4643-b65c-b719bd7268dc/members?$select=id,displayName,userPrincipalName,mail&$top=300') // Cherche les membres du groupe "Tous les utilisateurs"
            ->setReturnType(Model\Group::class)
            ->execute();

        foreach ($membersOfIcc as $member) {

            $memberjson = json_decode(json_encode($member));

            if (false === str_contains($memberjson->mail, '@iccfinance.onmicrosoft.com')) {

                try {
                    $photo = $graph->createRequest('GET', '/users/' . $member->GetMail() . '/photo/$value')
                        ->execute();

                    $photo = 'data:image/jpeg;base64,' . base64_encode($photo->getRawBody()) . '';

                    DB::table('rh_employees')
                        ->where('EMPLOYEE_IDAAD', $member->GetId())
                        ->update([
                            'EMPLOYEE_PHOTO' => $photo
                        ]);
                } catch (\Exception $e) {
                    // Ignorer l'erreur
                }
            }
        }
        return back()->withInput();
    }
}
