<?php

namespace App\Http\Controllers\Emails;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Mail\SendCredentialsMail;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Crypt;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;

class UserCredentialsEmailController extends Controller
{
    public function userCredentials(Request $request)
    {
        $userInfo = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->where('EMPLOYEE_ID', '=', $request->userId)
            ->get();

        $userEncrytedPasswordCount = DB::table('rh_passwords')
            ->select('PASSWORD_ENCRYPTED')
            ->where('PASSWORD_FKEMPLOYEEID', '=', '146')
            ->count();

        if ($userEncrytedPasswordCount > 0) {
            $userEncrytedPassword = DB::table('rh_passwords')
                ->select('PASSWORD_ENCRYPTED')
                ->where('PASSWORD_FKEMPLOYEEID', '=', '146')
                ->get();

            $userDecrytedPassword = Crypt::decrypt($userEncrytedPassword[0]->PASSWORD_ENCRYPTED);
        } else {
            $userDecrytedPassword = '<password>';
        }

        $signature = 'https://iccfinance.sharepoint.com/sites/signatures-courriels/Documents%20partages/' . $userInfo[0]->EMPLOYEE_EMAILPRO . '.docx';

        $agence = strtolower(\Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($userInfo[0]->AGENCE_NOM)); // Suppression des accents
        $agence = str_replace(' ', '', $agence);

        $maildata = [
            'title' => 'Bonjour ' . $userInfo[0]->EMPLOYEE_PRENOM . ',',
            'email' => $userInfo[0]->EMPLOYEE_EMAILPRO,
            'password' => $userDecrytedPassword,
            'url' => 'https://www.icc-finance.fr',
            'outlook' => 'https://outlook.live.com/owa/',
            'intranet' => 'https://intranet-icc-finance.fr/user/login',
            'boxmarketing' => 'http://boxmarketing.icc-finance.fr/connexion?back=my-account',
            'sharepoint' => 'https://iccfinance.sharepoint.com/sites/' . $agence,
            'convention' => 'https://convention.intranet-iccfinance.fr/web/login',
            'signature' => $signature,
        ];

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        try {
            $graph->createRequest('POST', '/users/support.informatique@icc-finance.fr/sendMail')
                ->setReturnType(Model\User::class)
                ->attachBody(array (
                    'message' =>
                    array (
                        'subject' => $maildata['title'],
                        'body' =>
                        array (
                        'contentType' => 'HTML',
                        'content' => (new SendCredentialsMail($maildata))->render() ,

                        ),
                        'toRecipients' => array (
                            0 => array (
                                'emailAddress' => array (
                                    'address' => 'florian.lalanne@icc-finance.fr',
                                ),
                            ),
                            1 => array (
                                'emailAddress' => array (
                                    'address' => env('ADMIN_EMAIL_ADDRESS'),
                                ),
                            ),

                        )
                    ),
                    'saveToSentItems' => 'true',
                    ))
                ->execute();

        } catch (\Exception $e) {
            // Ignorer l'erreur
        }

        // A garder pour historique ==> Mail::to('florian.lalanne@icc-finance.fr')->send(new SendCredentialsMail($maildata));

        return redirect()->route('membres');
    }
}
