<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Http\Request;
// use Microsoft\Graph\Graph;
// use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;
use Illuminate\Pagination\Paginator;

class AgencesTableMod extends Component
{

    public $filter;
    public $recherche='';
    public $entriesNumber='';
    public $order_champs ="AGENCE_NOM";
    protected $order='asc';

    public function getInfoIccAllAgences() {

        if($this->entriesNumber == '') { $this->entriesNumber = 30; }
        if($this->filter == 'tout') { $fa = null; $ea = '!='; $fe = null; $ee = '!='; }
        elseif($this->filter == 'actives-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actives-franchises') { $fa = 'Franchise'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actives-filiales') { $fa = 'Filiale'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'archives-tout') { $fa = null; $ea = '!='; $fe = 0; $ee = '='; }
        elseif($this->filter == 'archives-franchises') { $fa = 'Franchise'; $ea = '='; $fe = 1; $ee = '!='; }
        elseif($this->filter == 'archives-filiales') { $fa = 'Filiale'; $ea = '='; $fe = 1; $ee = '!='; }

        $allAgences = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            // ->where('AGENCE_TYPE', $ea, $fa)
            // ->where('AGENCE_COMPTEACTIF',$ee,$fe)
            ->where(function($query){
                $query->orWhere('EMPLOYEE_NOM','like','%'.trim($this->recherche," ")."%")
                ->orWhere('AGENCE_NOM','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_TYPE','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_STATUTJURIDIQUE','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_RAISONSOCIALE','like','%'.$this->recherche."%");
            })
            ->orderBy($this->order_champs,$this->order)
            ->paginate($this->entriesNumber);

        return $allAgences;

    }

    public function ordonner($ordre,$params1){

        if ($params1 === $this->order) {
            $this->order = "desc";
        }else{
            $this->order = "asc";
        }

        switch ($ordre) {

            case "Actif":
                $this->order_champs="AGENCE_COMPTEACTIF";
                break;

            case "RaisonSociale":
                $this->order_champs="AGENCE_RAISONSOCIALE";
                break;

            case "StatutJuridique":
                $this->order_champs="AGENCE_STATUTJURIDIQUE";
                break;
            
            case "Type":
                $this->order_champs="AGENCE_TYPE";
                break;

            default:
                $this->order_champs="AGENCE_NOM";
                break;
        }
    }

    // public function boot()
    // {
    //     Paginator::useTailwind();
    // }

    public function allActivesAgences() {

        $allActivesAgences = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '1')
            ->get();

        return $allActivesAgences;

    }

    public function allInactivesAgences() {

        $allInactivesAgences = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '0')
            ->get();

        return $allInactivesAgences;

    }

    public function allAgencesFranchisees() {

        $allAgencesFranchisees = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '1')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Franchise')
            ->get();

        return $allAgencesFranchisees;

    }

    public function allAgencesAffiliates() {

        $allAgencesAffiliates = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '1')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Filiale')
            ->where('rh_agences.AGENCE_NOM', '!=', 'ICC Développement')
            ->get();

        return $allAgencesAffiliates;

    }

    public function countActivesAgences() {

        $countActivesAgences = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '1')
            ->count();

        return $countActivesAgences;

    }

    public function countInactivesAgences() {

        $countInactivesAgences = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '0')
            ->count();

        return $countInactivesAgences;

    }

    public function countAgencesFranchisees() {

        $countAgencesFranchisees = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '1')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Franchise')
            ->count();

        return $countAgencesFranchisees;

    }

    public function countAgencesAffiliates() {

        $countAgencesAffiliates = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('rh_agences.AGENCE_COMPTEACTIF', '=', '1')
            ->where('rh_agences.AGENCE_TYPE', '=', 'Filiale')
            ->where('rh_agences.AGENCE_NOM', '!=', 'ICC Développement')
            ->count();

        return $countAgencesAffiliates;

    }

    public function render()
    {
        return view('pages.agences-list',[
            'allAgences' => $this->getInfoIccAllAgences(),
            'allActivesAgences' => $this->allActivesAgences(),
            'allInactivesAgences' => $this->allInactivesAgences(),
            'allAgencesFranchisees' => $this->allAgencesFranchisees(),        
            'allAgencesAffiliates' => $this->allAgencesAffiliates(),
            'countActivesAgences' => $this->countActivesAgences(),
            'countInactivesAgences' => $this->countInactivesAgences(),
            'countAgencesFranchisees' => $this->countAgencesFranchisees(),        
            'countAgencesAffiliates' => $this->countAgencesAffiliates(),               
        ]);
    }
}
