<div class="mx-4">
    @if ($this->ieamInfoUpdate())
        @foreach ($this->ieamInfoUpdate() as $ieam)
            <form name="add_update_ieam_form" id="add_update_ieam_form" method="post"
                action="{{ route('add_update_ieam') }}">
                @csrf
                <div class="mx-3">
                    <h1 class="text-xl font-bold capitalize text-white pb-4"><em
                            class="fa-solid fa-file-circle-question mr-2"></em>Informations dernière demande</h1>
                    <div class="card card-body border card-plain border-radius-lg">
                        <div class="row mb-2">
                            <input hidden="hidden" id="ieam_id" name="ieam_id" value="{{ $ieam->IEAM_ID }}" />
                            <input hidden="hidden" id="user_id" name="user_id"
                                value="{{ $ieam->IEAM_FKEMPLOYEEID }}" />
                            <div class="col-3">
                                <label for="etat_ieam" class="form-label text-xs">Statut</label>
                                <select id="etat_ieam" name="etat_ieam" class="form-select px-3 bg-white"
                                    aria-label="actif ?">
                                    @if ($ieam->IEAM_ETAT == 'Nouveau')
                                        @php
                                            $selectedNouveau = 'selected';
                                            $selectedEncours = '';
                                            $selectedOk = '';
                                        @endphp
                                    @elseif ($ieam->IEAM_ETAT == 'En cours')
                                        @php
                                            $selectedNouveau = '';
                                            $selectedEncours = 'selected';
                                            $selectedOk = '';
                                        @endphp
                                    @elseif ($ieam->IEAM_ETAT == 'OK')
                                        @php
                                            $selectedNouveau = '';
                                            $selectedEncours = '';
                                            $selectedOk = 'selected';
                                        @endphp
                                    @else
                                        @php
                                            $selectedNouveau = 'selected';
                                            $selectedEncours = '';
                                            $selectedOk = '';
                                        @endphp
                                    @endif
                                    <option value='nouveau' {{ $selectedNouveau }}>Nouveau</option>
                                    <option value='en_cours' {{ $selectedEncours }}>En cours</option>
                                    <option value='ok' {{ $selectedOk }}>OK</option>
                                </select>
                            </div>
                            @php
                                $dateDemandeIeam = str_replace(' ', 'T', $ieam->IEAM_DEMANDEINSCRIPTION);
                                $dateIeam = str_replace(' ', 'T', $ieam->IEAM_VALIDATIONINSCRIPTION);
                            @endphp
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'datetime-local',
                                'id' => 'datedemande_ieam',
                                'label' => "Demande d'inscription",
                                'value' => $dateDemandeIeam,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'datetime-local',
                                'id' => 'date_ieam',
                                'label' => "Validation de l'inscription",
                                'value' => $dateIeam,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'montant_ieam',
                                'label' => 'Montant',
                                'value' => number_format($ieam->IEAM_MONTANT, 2, ',', ' '),
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'payepar_ieam',
                                'label' => 'Payé par',
                                'value' => $ieam->IEAM_PAYEPAR,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'description_ieam',
                                'label' => 'Description',
                                'value' => $ieam->IEAM_DESCRIPTION,
                                'required' => '',
                            ])
                            <div class="col-3 mt-1">
                                <label for="submit_ieam" class="form-label text-xs"></label>
                                <button id="submit_ieam" type="submit"
                                    class="btn bg-blue-700 bg-gradient-info text-white font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center">
                                    Valider
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        @endforeach
    @endif

    <!-- Historique Ieam -->
    <div class="mx-3 mt-4 pt-2 mb-4">
        <h1 class="text-xl font-bold capitalize text-white pb-4"><i
                class="fa-solid fa-house-chimney"></i>&nbsp;Historique</h1>
        <div class="card card-body border card-plain border-radius-lg">
            <div class="table-responsive mb-2">
                <table class="table align-items-center mb-0" aria-describedby="historique des demandes Ieam">
                    <thead>
                        <tr>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Inscription</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Validation</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Montant</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Payé par</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($this->ieamHistory())
                            @foreach ($this->ieamHistory() as $ieam)
                                @php
                                    $dateDemandeIeam = date('d/m/Y', strtotime(str_replace(' ', 'T', $ieam->IEAM_DEMANDEINSCRIPTION)));
                                    $dateIeam = date('d/m/Y', strtotime(str_replace(' ', 'T', $ieam->IEAM_VALIDATIONINSCRIPTION)));
                                @endphp
                                <tr>
                                    @if (null === $ieam->IEAM_DEMANDEINSCRIPTION)
                                        <td class="px-6 py-4 text-center" colspan="5">
                                            <div class="p-4 text-sm font-bold bg-gradient-danger rounded-lg"
                                                role="alert">
                                                Aucun historique trouvé. Il s'agit peut-être d'un arrivant jamais
                                                inscrit à l'Ieam ou n'étant pas un courtier.
                                            </div>
                                        </td>
                                    @else
                                        <td class="text-center">
                                            {{ $dateDemandeIeam }}
                                        </td>
                                        <td class="text-center">
                                            @if ($dateIeam)
                                                {{ $dateIeam }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($ieam->IEAM_MONTANT)
                                                @php echo number_format($ieam->IEAM_MONTANT, 2, ',', ' ') . ' €'; @endphp
                                            @else
                                                - €
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($ieam->IEAM_PAYEPAR)
                                                {{ $ieam->IEAM_PAYEPAR }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($ieam->IEAM_DESCRIPTION)
                                                {{ $ieam->IEAM_DESCRIPTION }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                    @endif
                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
